Summary:	SMTP "plugin" for MUAs
Summary(pl.UTF-8):	"Wtyczka" SMTP dla klientów pocztowych (MUA)
Name:		msmtp
Version:	1.8.13
Release:	1
License:	GPL v3+
Group:		Networking/Utilities
Source0:	https://marlam.de/msmtp/releases/%{name}-%{version}.tar.xz
# Source0-md5:	203b4ef3ab163e3e80e9507a9bc67b74
Patch0:		%{name}-home_etc.patch
Source1:	%{name}rc
URL:		https://marlam.de/msmtp/
BuildRequires:	autoconf
BuildRequires:	automake >= 1:1.11.1
BuildRequires:	gettext-tools
BuildRequires:	gnutls-devel >= 1.2.0
BuildRequires:	gsasl-devel
BuildRequires:	libidn-devel
BuildRequires:	libsecret-devel
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
msmtp is a simple program that works as an "SMTP plugin" for Mutt and
probably other MUAs (mail user agents). It forwards mails to an SMTP
server (for example at a free mail provider) which does the delivery.
Features include:
- PLAIN, LOGIN, CRAM-MD5, GSSAPI, DIGEST-MD5 and NTLM authentications
- TLS encrypted connections
- Internationalized Domain Names (IDN) support
- IPv6 support
- robustness
- detailed error messages if something goes wrong (including the full
  answer of the SMTP server)
- sendmail compatible exit codes (which most MUAs understand).

Simply tell your MUA to call msmtp instead of /usr/sbin/sendmail (with
Mutt that's just one additional line in the config file).

%description -l pl.UTF-8
msmtp to prosty program działający jako "wtyczka SMTP" dla Mutta i
innych klientów pocztowych (MUA - mail user agents). Przekierowuje
wiadomości do serwera SMTP (na przykład providera darmowych kont
e-mail), który je dostarcza. Możliwości obejmują:
- uwierzytelnianie PLAIN, LOGIN, CRAM-MD5, GSSAPI, DIGEST-MD5 i NTLM
- obsługę Internationalized Domain Names (IDN)
- szyfrowane połączenia TLS
- obsługę IPv6
- szczegółowe komunikaty błędów w przypadku niepowodzenia (włącznie z
  pełną odpowiedzią serwera SMTP)
- kody wyjścia kompatybilne z sendmailem (które rozumie większość
  MUA).

Wystarczy przekazać klientowi pocztowemu, aby wywoływał msmtp zamiast
/usr/sbin/sendmail (w Mutcie to po prostu dodatkowa linia w pliku
konfiguracyjnym).

%package sendmail
Summary:	msmtp sendmail compatible wrapper
Summary(pl.UTF-8):	msmtp - dowiązania symboliczne do sendmaila
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}
Obsoletes:	/usr/lib/sendmail

%description sendmail
msmtp sendmail compatible wrapper.

%description sendmail -l pl.UTF-8
Dowiązania symboliczne msmtp do sendmaila.

%prep
%setup -q
%patch0 -p1

%build
%{__gettextize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
	--disable-silent-rules \
	--with-libgsasl \
	--with-libidn \
	--with-libsecret \
	--with-tls=gnutls
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},/usr/lib,%{_sysconfdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/msmtprc
ln -s %{_bindir}/%{name} $RPM_BUILD_ROOT/usr/lib/sendmail
ln -s %{_bindir}/%{name} $RPM_BUILD_ROOT%{_sbindir}/sendmail

%find_lang %{name}

rm -f $RPM_BUILD_ROOT%{_infodir}/dir
rm -f scripts/Makefile*

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README THANKS doc/msmtprc-{system,user}.example scripts
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/msmtp*
%{_infodir}/msmtp*

%files sendmail
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*
%attr(755,root,root) %{_sbindir}/*
/usr/lib/sendmail
%changelog
* Sun Nov 22 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/msmtp.git;a=log;h=master

* Sun Nov 22 2020 Jan Palus <atler@pld-linux.org> 0236b3d
- up to 1.8.13

* Tue Sep 08 2020 Jan Palus <atler@pld-linux.org> 0b0e587
- up to 1.8.12

* Sat Jul 04 2020 Jan Palus <atler@pld-linux.org> 7bd36ae
- up to 1.8.11

* Thu Dec 26 2019 Jan Palus <atler@pld-linux.org> dc095c6
- up to 1.8.7

* Fri Sep 27 2019 Adam Gołębiowski <adamg@pld-linux.org> 04591b7
- updated to 1.8.6

* Tue Jul 16 2019 Jan Palus <atler@pld-linux.org> 91727f4
- up to 1.8.5

* Sat Apr 27 2019 Jan Palus <atler@pld-linux.org> 83ea73d
- up to 1.8.4

* Wed Feb 13 2019 Adam Gołębiowski <adamg@pld-linux.org> aedc5dc
- updated to 1.8.3

* Wed Jan 16 2019 Jan Palus <atler@pld-linux.org> 84982d0
- up to 1.8.2

* Wed Dec 26 2018 Jan Palus <atler@pld-linux.org> 6c52f31
- up to 1.8.1

* Sat Sep 22 2018 Jan Palus <atler@pld-linux.org> 2444452
- up to 1.8.0

* Tue Jul 24 2018 Jan Palus <atler@pld-linux.org> f8a7056
- up to 1.6.8

* Sat Apr 08 2017 Jan Rękorajski <baggins@pld-linux.org> 651d8d5
- rebuild with gnutls 3.5
- release 2 (by relup.sh)

* Mon Nov 14 2016 Jan Palus <atler@pld-linux.org> 234b49c
- up to 1.6.6

* Wed Jun 01 2016 Jan Palus <atler@pld-linux.org> 0ce2dca
- up to 1.6.5

* Tue Feb 02 2016 Jan Palus <atler@pld-linux.org> 92ddbff
- up to 1.6.4

* Fri Nov 27 2015 Jan Palus <atler@pld-linux.org> 1c5232d
- up to 1.6.3

* Fri Apr 24 2015 Jan Palus <atler@pld-linux.org> 80c554c
- up to 1.6.2

* Mon Jan 05 2015 Jan Palus <atler@pld-linux.org> 4734f00
- up to 1.6.1

* Wed Dec 31 2014 Jan Palus <atler@pld-linux.org> b6bb3cf
- up to 1.6.0
- run autotools
- updated BRs
- explicilty enable features by passing flags to configure

